(function ($, Drupal, drupalSettings, storage) {
    
    // Ada overrides that are very complex to implement by overriding templates
    $('#modal-block-views-block-front-block-1').removeAttr( "aria-labelledby" );
    $('#modal-block-views-block-front-block-2').removeAttr( "aria-labelledby" );
    if ( $( ".view-id-majors_and_programs" ).length ) {
        $( ".major-program-link" ).each(function( index ) {
            var titleParent = $( this ).parent().nextAll(".wrapper-major-programs").children('.title-programs').text();
            $( this ).html('<span class="ada-hide">' + titleParent + '</span>');
        });
    }

    $('body.views-news').addClass('path-news');
    $('body.views-events').addClass('path-events');
    $('body.node--type-faculty-and-staff- h1 span').html('Faculty & Staff<br>Directory');

    //ADD CLASS ROW
    $('.major-programs .view-content').addClass('row');
    //CHANGE PLACEHOLDER
    $('.major-programs fieldset.form-type-select').each(function () {
        var lblMajors = $(this).find('label').text();
        $(this).find('select option[value="All"]').text(lblMajors);
        //$(this).find('select option[value="All"]').attr("hidden",true);
    });
    var lblInput = $('.major-programs fieldset.form-type-textfield label').text();
    $('.major-programs fieldset.form-type-textfield input').attr('placeholder', lblInput);

    var banner_main = $('.node--type-majors-and-programs');
    $(banner_main).addClass('banner-main');

    //TARJETAS
    var WrapperRow = $('.node--type-landing-page-1 .views-field-field-carousel-references .suny-redirect-entity');
    $(WrapperRow).each(function () {
        var GetValue = $(this).find('.single-entry').html();
        //console.log(GetValue);
        if (GetValue == 1) {
            $(this).addClass('inner-only');
        }
    });
    $('.inner-only').wrapAll('<div class="wrapper-only" />');
    $('.wrapper-only').appendTo('.node--type-landing-page-1 .views-field-field-carousel-references .field-content');

    //SCRIPT FILTER F&s
    $(".views-faculty-and-staff.path-faculty-and-staff #edit-field-lastname-value--2--wrapper .fieldset-wrapper #edit-field-lastname-value--2 div label").click(function () {
        $(this).parent().addClass('selected').siblings().removeClass('selected');
    });
    $('.views-faculty-and-staff.path-faculty-and-staff #edit-field-lastname-value--2--wrapper .fieldset-wrapper #edit-field-lastname-value--2 div input:checked').parent('div').addClass('selected');

    $(".faculty-staff-filter-block #edit-field-lastname-value--2--wrapper .fieldset-wrapper .js-form-item:eq(0) label").text("[Any]");

    $(".node--type-faculty-and-staff- #edit-field-lastname-value--wrapper .fieldset-wrapper #edit-field-lastname-value div label").click(function () {
        $(this).parent().addClass('selected').siblings().removeClass('selected');
    });
    $('.node--type-faculty-and-staff- #edit-field-lastname-value--wrapper .fieldset-wrapper #edit-field-lastname-value div input:checked').parent('div').addClass('selected');

    $(".faculty-staff-filter-block #edit-field-lastname-value--wrapper .fieldset-wrapper .js-form-item:eq(0) label").text("[Any]");

    //$('.front #block-exposedformnewspage-1-2').appendTo('.front #block-views-block-news-block-1 .view-header');
    $('.block-views-exposed-filter-blocknews-page-1 select option[value="All"]').text('Filter by');

    //ADDCLASS NOT FOUND IMAGEN IN NEWS
    $('.views-news-page-1 .view-id-news .views-row').each(function () {
        if ($(this).find('img').length == 0) {
            $(this).addClass('not-image');
        }
    });

    //MAIN MENU CUSTOM
    $('.levanta-modal').click(function (event) {
        var target = $(event.target);
        var dialog = $(target.attr('data-target'));
        dialog.attr('aria-hidden', 'false');
    });
    $('#navegador').find('button[data-dismiss="modal"]').click(function (event) {
        $('#navegador').attr('aria-hidden', 'true');
        $('.active').removeClass('active');
        $(".menu-p > .nav > li > .menu").removeClass('active').attr('aria-hidden', 'true');
    });

    $('.menu-p > .nav > li > a').removeAttr('href').css('cursor', 'pointer').attr('tabindex', '0');
    $(".menu-p > .nav > li > .menu li a").attr('tabindex', '0');

    var menuLinks = $('.menu-p > .clearfix.nav > li > a');
    menuLinks.on('focus', function (event) {
        //Add the active class to the link we clicked
        $('.active').removeClass('active');
        $(".menu-p > .nav > li > .menu").removeClass('active').attr('aria-hidden', 'true');
        $(this).parent().addClass('active');
        $(this).siblings(".menu-p > .nav > li > .menu").addClass("active").attr('aria-hidden', 'false');
        return false;
    });
    //END MAIN MENU CUSTOM

//layout
    $('.region').addClass('clearfix');
    $('.main-content, .sidebar').addClass('clearfix');
    $('.sidebar').addClass('suny-pb-40');
    $('.node--type-landing-page-1 .prefase, .node--type-landin-page-2 .prefase, .node--type-academics .prefase, .banner-main .prefase').addClass('suny-pb-80').removeClass('suny-pb-60');
    $('.node--type-landin-page-2 .content-top .region').addClass('col-md-9 col-md-offset-3');
    $('.node--type-majors-and-programs .content-top .region').addClass('col-md-9 col-md-offset-3');
    $('.node--type-landin-page-2 .content-top .suny').removeClass('col-lg-10').addClass('col-lg-12');
    $('.node--type-majors-and-programs .content-top .suny').removeClass('col-lg-10').addClass('col-lg-12');

    //NEWS
    newsBlock = $('.node--type-news #bfooter .region .block').length;
    if (newsBlock == 1) {
        $('.node--type-news #bfooter').addClass('remove-block')
    }


// homepage
    // YOUTUBE VIDEOS //
    var locations = $('.location-homepage-full-content .node--type-locationss');
    for (var i = 0; i < locations.length; i++) {
        var l = locations.eq(i);
        l.find('.field--name-field-image-loca').click(function (event) {
            event.preventDefault();
            var video = $(this).siblings('.field--name-field-video-location');
            video.find('.video-embed-field-launch-modal').click();
        });
    }


    ////////////////////

    $('.col-md-12.col-md-push-3').removeClass('col-md-push-3');

    $('.suny-noticias .view-header').addClass('container');
    if( $('.suny-noticias .view-header > .col-lg-11').length == 0 ){
        $('.suny-noticias .view-header').wrapInner('<div class="col-lg-11" />');
    }

    $('.suny-noticias .view-header a').addClass();
    $('.suny-noticias .view-content').addClass('clearfix');
    $('.suny-noticias .views-row').addClass('col-xs-12 col-sm-6 col-md-3 col-lg-3');
    $('.suny-noticias .views-row').removeClass('col-md-4');
    $('.suny-noticias .views-row:first-child').addClass('col-md-6 col-lg-6').removeClass('col-md-3 col-lg-3 col-sm-6');

    $('.suny-eventos-card > h2').addClass('col-xs-12 col-lg-2');
    $('.suny-eventos-card > .content').addClass('col-xs-12 col-lg-10');

// dropdown
    $('.suny-noticias .view-header .view').addClass('dropdown');
    $('.dropdown.view').prepend('<button class="dropdown-b"><i class="fa fa-filter">&nbsp;</i>Filter By</button>');
    $('.dropdown.view').find('.view-content').click(function (e) {
        e.stopPropagation();
    });

    $('.dropdown-b').attr('data-target', '#');
    $('.dropdown-b').attr('data-toggle', 'dropdown');

    $('.dropdown-toggle').prepend('<i class="fa fa-bars" aria-hidden="true">&nbsp;</i>');
    $('.dropdown-toggle').prepend('<i class="fa fa-times" aria-hidden="true" style="display:none;">&nbsp;</i>');

// slick
    $('.carusel-home .slick-prev').prepend('<i class="fa fa-chevron-left"></i>');
    $('.carusel-home .slick-next').prepend('<i class="fa fa-chevron-right"></i>');

//search


    $(window).on('load', function () {
        $('.terc-menu .nav li:first-child a').addClass('opensearch');
        $('.terc-menu .nav li:first-child a').removeAttr('href');
        $('.terc-menu .nav li:first-child a').attr('data-dismiss', 'modal');

        $("#search").hide();
        $("#search").removeClass('fade in');
        $("#search > button").click(function () {
            $("#search").hide();
            $("#search").removeClass('fade in');

            $("#navegador").click();
        });

        var link = $("#block-secondaryheader .nav li:first-child a");
        link.attr("data-drupal-link-system-path", "");
        //link.attr("href", "#");
        link.click(function (event) {
	    event.preventDefault();
            $("#navegador").hide();
            $("#search").show();
            $("#search").addClass('fade in');
        	$('#search input').focus();
        });
        $('#search input').attr('placeholder', 'Search SUNY Poly');
    });

// icons
    $('.suny-modal-front p:first-child').prepend('<i class="fa fa-play"></i>');

    $('.suny-rs .nav li a').text('');
    $('.suny-rs .nav li a').eq(0).prepend('<i class="fa fa-facebook-official"></i><span class="sr-only">SUNY Poly Facebook</span>');
    $('.suny-rs .nav li a').eq(2).prepend('<i class="fa fa-instagram"></i><span class="sr-only">SUNY Poly Instagram</span>');
    $('.suny-rs .nav li a').eq(1).prepend('<i class="fa fa-twitter"></i><span class="sr-only">SUNY Poly Twitter</span>');
    $('.suny-rs .nav li a').eq(3).prepend('<i class="fa fa-youtube"></i><span class="sr-only">SUNY Poly YouTube</span>');
    $('.suny-rs .nav li a').eq(4).prepend('<i class="fa fa-linkedin-square"></i><span class="sr-only">SUNY Poly LinkedIn</span>');
    $('.suny-rs .nav li a').eq(5).prepend('<i class="fa fa-snapchat-ghost"></i><span class="sr-only">SUNY Poly Snapchat</span>');

// instagram

    var height_instagram = $('.rs-instagram:first-child').height();
    $('.rs-twitter .rs-block-content').css({"height": height_instagram});

//facts
    $('.facts .paragraph').addClass('col-md-4');

//backto
    $('#backtotop').prepend('<i class="fa fa-arrow-circle-o-up"></i>');

//background

    var bg_theme = $('.node--type-landing-page-1 .nosee, .node--type-landin-page-2 .nosee, .node--type-academics .nosee, .banner-main .nosee');

    $(bg_theme).each(function () {
        var imageUrl = $(this).find('img').attr('src');
        $('.prefase').css('background-image', 'url(' + imageUrl + ')');
        //$(this).find('img').remove();
    });

    $('#block-views-block-events-block-2').click(function () {
        $(this).toggleClass('active');
    });


    var imageUrls1 = $('.front .carusel .views-row:nth-child(1)').find('img').attr('src');
    var imageUrls2 = $('.front .carusel .views-row:nth-child(2)').find('img').attr('src');
    var imageUrls3 = $('.front .carusel .views-row:nth-child(3)').find('img').attr('src');
    var imageUrls4 = $('.front .carusel .views-row:nth-child(4)').find('img').attr('src');
    var imageUrls5 = $('.front .carusel .views-row:nth-child(5)').find('img').attr('src');
    var imageUrls6 = $('.front .carusel .views-row:nth-child(6)').find('img').attr('src');
    var imageUrls7 = $('.front .carusel .views-row:nth-child(7)').find('img').attr('src');
    var imageUrls8 = $('.front .carusel .views-row:nth-child(8)').find('img').attr('src');
    var imageUrls9 = $('.front .carusel .views-row:nth-child(9)').find('img').attr('src');
    var imageUrls10 = $('.front .carusel .views-row:nth-child(10)').find('img').attr('src');
    var imageUrls11 = $('.front .carusel .views-row:nth-child(11)').find('img').attr('src');
    var imageUrls12 = $('.front .carusel .views-row:nth-child(12)').find('img').attr('src');

    $('.front .carusel .views-row:nth-child(1)').css('background-image', 'url(' + imageUrls1 + ')');
    $('.front .carusel .views-row:nth-child(2)').css('background-image', 'url(' + imageUrls2 + ')');
    $('.front .carusel .views-row:nth-child(3)').css('background-image', 'url(' + imageUrls3 + ')');
    $('.front .carusel .views-row:nth-child(4)').css('background-image', 'url(' + imageUrls4 + ')');
    $('.front .carusel .views-row:nth-child(5)').css('background-image', 'url(' + imageUrls5 + ')');
    $('.front .carusel .views-row:nth-child(6)').css('background-image', 'url(' + imageUrls6 + ')');
    $('.front .carusel .views-row:nth-child(7)').css('background-image', 'url(' + imageUrls7 + ')');
    $('.front .carusel .views-row:nth-child(8)').css('background-image', 'url(' + imageUrls8 + ')');
    $('.front .carusel .views-row:nth-child(9)').css('background-image', 'url(' + imageUrls9 + ')');
    $('.front .carusel .views-row:nth-child(10)').css('background-image', 'url(' + imageUrls10 + ')');
    $('.front .carusel .views-row:nth-child(11)').css('background-image', 'url(' + imageUrls11 + ')');
    $('.front .carusel .views-row:nth-child(12)').css('background-image', 'url(' + imageUrls12 + ')');

    $('.front .carusel .views-row').find('img').remove();

    $('.locations-view-1 .views-row').each(function () {
        var titulo_locations = $(this).find('.titulo-big > h2').text();
        $(this).find('.btn').append(titulo_locations);
    });
    $('.refer-land-2 .node').each(function () {
        var titulo_refers = $(this).find('h2').text();
        $(this).find('.btn').append(titulo_refers);
    });
    $('.refer-land-2 .node').addClass('col-lg-12 col-xs-12 col-md-6');
    $('.refer-land-2 .node:nth-child(odd) .himgs > div:first-child()').addClass('col-xs-12 col-lg-6 pull-right');
    $('.refer-land-2 .node:nth-child(odd) .himgs > div:last-child()').addClass('col-xs-12 col-lg-3 pull-left');
    $('.refer-land-2 .node:nth-child(even) .himgs > div:first-child()').addClass('col-xs-12 col-lg-6 pull-left');
    $('.refer-land-2 .node:nth-child(even) .himgs > div:last-child()').addClass('col-xs-12 col-lg-3 pull-right');
    $('.refer-land-2 .node:nth-child(even) .txt-txt').addClass('pull-right');

    $('.refer-land-2 .suny-redirect-entity').addClass('col-lg-12 col-xs-12 col-md-6');
    $('.refer-land-2 .suny-redirect-entity:nth-child(odd) .himgs > div:first-child()').addClass('col-xs-12 col-lg-6 pull-right');
    $('.refer-land-2 .suny-redirect-entity:nth-child(odd) .himgs > div:last-child()').addClass('col-xs-12 col-lg-3 pull-left');
    $('.refer-land-2 .suny-redirect-entity:nth-child(even) .himgs > div:first-child()').addClass('col-xs-12 col-lg-6 pull-left');
    $('.refer-land-2 .suny-redirect-entity:nth-child(even) .himgs > div:last-child()').addClass('col-xs-12 col-lg-3 pull-right');
    $('.refer-land-2 .suny-redirect-entity:nth-child(even) .txt-txt').addClass('pull-right');

// adicional

    $('.adic-no p').wrap('<div class=text-formatted />');
    $('.adic-no .text-formatted').wrap('<div class=paragraph />');
    $('.adic-2 .text-formatted').clone().appendTo('.adic-2 .paragraph').addClass('text-formatted not-hiden');


// homepage - modal*video

    $('#block-views-block-front-block-4 .node > a').attr('data-target', '#modal-block-views-block-front-block-2');
    $('#block-vutica .node > a').attr('data-target', '#modal-block-views-block-front-block-1');

// footer - logo
    $('#block-brandfooter').prependTo('#block-views-block-front-block-5 .view-content');

//highlights - landing1
    $('.help-text').appendTo('.prefase > .container');

//si titulo no graba
    $('.path-about .suny-noticias .title').prependTo('.titular .content');
    $('.views-news-page-2.path-news .title').prependTo('.titular .content');
    $('.path-about .titular').addClass('col-lg-4').removeClass('col-lg-9');
    $('.path-events .suny-eventos-card .title').prependTo('.titular .content');

//switch grid/list
    $('.switches').appendTo('.bread-container .row');
    $('.path-about .view-news').addClass('view-grid');
    $('.view-news .views-row').addClass('views-model');
    $('.view-news .views-row:first-child').removeClass('views-model');
    $('button.switch.grid').addClass('active');
    $('button.switch.list').addClass('no-active');

    $('button.switch').on('click', function (e) {
        if ($(this).hasClass('grid')) {
            $('.path-about .view-news').removeClass('view-list').addClass('view-grid');
            $(this).removeClass('no-active').addClass('active');
            $('button.switch.list').removeClass('active').addClass('no-active');
        }
        else if ($(this).hasClass('list')) {
            $('.path-about .view-news').removeClass('view-grid').addClass('view-list');
            $(this).removeClass('no-active').addClass('active');
            $('button.switch.grid').removeClass('active').addClass('no-active');
        }
    });

    //FILTER EVENTS
    $('#edit-field-category-events-target-id > div:eq(0) a').text('All');

//filters
    var filter_search = $('.filters .form-type-textfield label').text();
    $('.filters .form-type-textfield label').remove();
    $('.filters .form-type-textfield input').attr('placeholder', filter_search);

    $('.filters .form-type-select label').attr('data-toggle', 'dropdown').prepend('<i class="fa fa-filter">&nbsp;</i>');


// al bajar

    $(document).scroll(function () {
        stickero();
    });

    function stickero() {
        var header = $('body.front');
        var distancia_limit = $(window).height();
        ;

        var headers = $('body');
        var distancia_limits = $(window).height() / 2;
        ;

        if (!$('.ltie9').length) {
            var distancia_scroll = $(document).scrollTop();
        }
        else {
            var distancia_scroll = $('html, body').scrollTop();
        }

        if (!$('.ltie9').length) {
            var distancia_scrolls = $(document).scrollTop();
        }
        else {
            var distancia_scrolls = $('html, body').scrollTop();
        }

        if (distancia_scroll > distancia_limit) {
            header.addClass('mundo');
            header.removeClass('world');
        }
        else {
            header.removeClass('mundo');
            header.addClass('world');
        }

        if (distancia_scrolls > distancia_limits) {
            headers.addClass('mundo');
            headers.removeClass('world');
        }
        else {
            headers.removeClass('mundo');
            headers.addClass('world');
        }
    };


    /* $(window).resize(function() {
     centerParrafo();
     });
     $(window).load(function () {
     centerParrafo();
     }); */

    $(window).on('resize', function () {
        centerParrafo();
    });

    centerParrafo();

    function centerParrafo() {
        var heightParrafo = $('.node--type-slider .field--name-body').outerHeight();
        /* console.log('Altura' + heightParrafo); */

        var widthWindows = $(window).width();
        //console.log('Ancho' + widthWindows);

        if (widthWindows <= 768) {
            $('.front .carusel button').height(heightParrafo);
        }
        /* else{
         $('.front .carusel button').css('height', 'auto');
         console.log('Mayor 768');
         }  */
    }

    $('.popup-link').click(function() {
        $(this).parent('p').next('.popup-box').slideToggle().toggleClass('popup-box-active');
    });
    
    /* Open all child links of a specified menu item in a new tab 
    $('.nav-item a[data-drupal-link-system-path="node/272"]').siblings('.menu').find('.nav-link').attr('target','_blank');
    */

    /* Open a specific menu link in a new tab */
    $('.nav-link[data-drupal-link-system-path="node/14529"]').attr('target','_blank');
    $('.nav-link[data-drupal-link-system-path="node/11931"]').attr('target','_blank');
    $('.nav-item a[href="https://webapp.sunypoly.edu/undergrad-catalog/courses/physics/"]').attr('target','_blank');
    $('.nav-item a[href="https://webapp.sunypoly.edu/undergrad-catalog/academic-minors/physics-minor/"]').attr('target','_blank');

    /* Accordion */
    $('.accordion').click(function(){
    	$(this).toggleClass('active');
        $(this).next('.panel').slideToggle('slow');
    });

    /* External Link Modal

    $.expr[":"].external = function (a) {
	var linkhn = a.hostname.split('.').reverse();
	var linkHref = linkhn[1] + "." + linkhn[0];
	var domainhn = window.location.hostname.split('.').reverse();
	var domainHref = domainhn[1] + "." + domainhn[0];

	return !a.href.match(/^mailto\:/) && !a.href.match(/^tel\:/) && !a.href.match(/^$/) && linkHref !== domainHref && linkHref !== "suny.edu" && linkHref !== "sunyit.edu";
    };

    $("a:external").addClass("ext_link");

    $(function () {
	$('a.ext_link').click(function () {
            $('a:external').attr('data-toggle', 'modal');
            $('a:external').attr('data-target', '#speedbump');

            var url = $(this).attr('href');
            $('.btn-modal.btn-continue').click(function () {
        	window.open(url);
        	$('.btn-modal.btn-continue').off();
            });
            $('.btn-modal.btn-close').click(function () {
        	$('#speedbump').modal('hide');
        	$('.btn-modal.btn-close').off();
            });
        });
    }); 
    */

    /* Position custom menu links for Majors & Programs pages */
    $('#cust-accounting-links li').insertBefore($('aside .nav .nav-item a:contains(On-Campus)').parent('li'));
    $('#cust-adnur-links li').insertBefore($('aside .nav .nav-item a:contains(Articulation Agreements)').parent('li'));
    $('#cust-appcomp-links li').insertBefore($('aside .nav .nav-item a:contains(Career Opportunities)').parent('li'));
    $('#cust-appmath-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-bio-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan of Study)').parent('li'));
    $('#cust-bsmscs-links li').insertBefore($('aside .nav .nav-item a:contains(Courses)').parent('li'));
    $('#cust-bus-links li').insertBefore($('aside .nav .nav-item a:contains(On-Campus)').parent('li'));
    $('#cust-cbh-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-cetech-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-cgam-link').insertBefore($('aside .nav .nav-item a:contains(Contact Us)').parent('li'));
    $('#cust-cid-links li').insertBefore($('aside .nav .nav-item a:contains(TRACK 1)').parent('li'));
    $('#cust-cis-links li').insertBefore($('aside .nav .nav-item a:contains(Career Opportunities)').parent('li'));
    $('#cust-civ-links li').insertBefore($('aside .nav .nav-item a:contains(Program)').parent('li'));
    $('#cust-civtech-links li').insertBefore($('aside .nav .nav-item a:contains(Introduction)').parent('li'));
    $('#cust-cs-links li').insertBefore($('aside .nav .nav-item a:contains(Career Opportunities)').parent('li'));
    $('#cust-dnp-links li').insertBefore($('aside .nav .nav-item a:contains(Contact)').parent('li'));
    $('#cust-ece-links li').insertBefore($('aside .nav .nav-item a:contains(Admissions)').parent('li'));
    $('#cust-eet-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-fin-links li').insertBefore($('aside .nav .nav-item a:contains(On-Campus)').parent('li'));
    $('#cust-gradadmissions-links li').insertAfter('aside .view-majors-and-programs .nav .nav-item:last-child');   
    $('#cust-gradncs-links li').insertBefore($('aside .nav .nav-item a:contains(Prerequisite)').parent('li'));
    $('#cust-him-links li').insertBefore($('aside .nav .nav-item a:contains(HIM Minor)').parent('li'));
    $('#cust-ids-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-imgd-links li:contains(Esports)').insertBefore($('aside .nav .nav-item a:contains(Contact Us)').parent('li'));
    $('#cust-imgd-links li:contains(Minors)').insertAfter($('aside .nav .nav-item a:contains(Courses)').parent('li'));
    $('#cust-me-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-met-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-msidt-links li').insertBefore($('aside .nav .nav-item a:contains(FAQs)').parent('li'));
    $('#cust-nanoeng-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-nanosci-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-ncs-links li').insertBefore($('aside .nav .nav-item a:contains(Faculty)').parent('li'));
    $('#cust-psych-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('#cust-soc-links li').insertBefore($('aside .nav .nav-item a:contains(Sample Plan)').parent('li'));
    $('.page-node14482 aside .nav .nav-item a:contains(Sample Plan of Study - 1+2+1 )').hide();

    /* Reopening FAQs: Uncheck All if other boxes are checked */
    $('#views-exposed-form-faqs-page-1 input[type="checkbox"]').change(function(){
        console.log('state changed');
        if($(this).attr('id') != 'edit-term-node-tid-depth-355--2') {
            console.log('non-all checkbox selected');
            $('#edit-term-node-tid-depth-355--2').prop('checked',false);
        }
    });

    /* External Menu Links */
    $('.nav-link--alumni').siblings('.menu').find('a:contains(Bridge)').prop("target","_blank");

	/* TEMP: Hide spring plan from internal search results 
	$('.view-search .views-field-title h2.node__title a:contains(Spring 2022 Plan)').parents('.views-row').remove();
	*/

})(jQuery, Drupal, drupalSettings, window.localStorage);
